Namespace
elastic
Image / Tag
filebeat:sha256-48fec255af6b4aa4b7d85790cd92c378f76af5c58a89581a4b59a4406e640237
Content Digest
sha256:48fec255af6b4aa4b7d85790cd92c378f76af5c58a89581a4b59a4406e640237
Details
Created

2025-12-16 20:00:28 UTC

Size

128 MB

Content Digest
Labels
  • architecture
    x86_64
  • build-date
    2025-12-03T20:36:05Z
  • com.redhat.component
    ubi9-minimal-container
  • com.redhat.license_terms
    https://www.redhat.com/en/about/red-hat-end-user-license-agreements#UBI
  • cpe
    cpe:/a:redhat:enterprise_linux:9::appstream
  • description
    Filebeat sends log files to Logstash or directly to Elasticsearch.
  • distribution-scope
    public
  • io.buildah.version
    1.41.4
  • io.k8s.description
    Filebeat sends log files to Logstash or directly to Elasticsearch.
  • io.k8s.display-name
    Filebeat image
  • io.openshift.expose-services
  • io.openshift.tags
    minimal rhel9
  • license
    Elastic License
  • maintainer
    infra@elastic.co
  • name
    filebeat
  • org.label-schema.build-date
    2025-12-16T19:54:22Z
  • org.label-schema.license
    Elastic License
  • org.label-schema.name
    filebeat
  • org.label-schema.schema-version
    1.0
  • org.label-schema.url
    https://www.elastic.co/beats/filebeat
  • org.label-schema.vcs-ref
    18d7329ef5c55c5bb59ae4ddf55f08ff03e32600
  • org.label-schema.vcs-url
    github.com/elastic/beats/v7
  • org.label-schema.vendor
    Elastic
  • org.label-schema.version
    9.1.9
  • org.opencontainers.image.authors
    infra@elastic.co
  • org.opencontainers.image.created
    2025-12-16T19:54:22Z
  • org.opencontainers.image.licenses
    Elastic License
  • org.opencontainers.image.revision
    1595c1bf15cd4327d529f330e61327764327397e
  • org.opencontainers.image.title
    Filebeat
  • org.opencontainers.image.vendor
    Elastic
  • release
    1
  • summary
    filebeat
  • url
    https://www.elastic.co/beats/filebeat
  • vcs-ref
    1595c1bf15cd4327d529f330e61327764327397e
  • vcs-type
    git
  • vendor
    Elastic
  • version
    9.1.9

Environment
ELASTIC_CONTAINER

true

GODEBUG

madvdontneed=1

LIBBEAT_MONITORING_CGROUPS_HIERARCHY_OVERRIDE

/

PATH

/usr/share/filebeat:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

container

oci


Layers

[#000] sha256:38e5fad13f066b97cf53847c0c127247f943e299c3c8c7456d2baaccf6588cab - 29.98% (38.4 MB)

[#001] sha256:a4d742d058285b330c6973f0b2d6716ab0b2e8e015c113f80427971c903d6574 - 0.01% (9.54 KB)

[#002] sha256:f7507ff1b058096634d3808f531f49090deb6b4b0d8d2f3addaec56e5a95fe52 - 0.0% (610 Bytes)

[#003] sha256:a8e85c846b6cd26f0489ce40853f78093946d7fcc3728f4963430f728539f2df - 0.0% (618 Bytes)

[#004] sha256:883b1ee56b9d27b5dfa214d3077e4ede21d18c6d44c116cadbb74e4c87ba1964 - 53.81% (69 MB)

[#005] sha256:9f23a82ebea909797ba3c91b54e533fbc21970e4b992dc83828c6c93544e3340 - 0.0% (125 Bytes)

[#006] sha256:4835a3a5096226d832cb9dc9b14e3c1f844282c1c745fee0eb24c18357f21e17 - 0.0% (5.47 KB)

[#007] sha256:faac2caf104131782fc8783827529136f5be306f352f8e4832ce557a5c748884 - 0.17% (229 KB)

[#008] sha256:0af968614dccfbbe69cb4d6c71a2de4f45296543162c1a9a9dc3dafe1a1a0e1a - 0.0% (514 Bytes)

[#009] sha256:dd1194c47b9a330b291ad0c5f3dfe313baa1958bdbc20dac46040cf698bea5db - 0.0% (1.12 KB)

[#010] sha256:adfb348770fdb8ae2a10568c9688917fbc009e7e5129f814928987b66fa94c36 - 16.02% (20.5 MB)

[#011] sha256:4ca545ee6d5db5c1170386eeb39b2ffe3bd46e5d4a73a9acbebc805f19607eb3 - 0.0% (42 Bytes)


History
2025-12-03 20:36:20 UTC

/bin/sh -c #(nop) LABEL maintainer="Red Hat, Inc."

2025-12-03 20:36:20 UTC

/bin/sh -c #(nop) LABEL vendor="Red Hat, Inc."

2025-12-03 20:36:20 UTC

/bin/sh -c #(nop) LABEL url="https://catalog.redhat.com/en/search?searchType=containers"

2025-12-03 20:36:20 UTC

/bin/sh -c #(nop) LABEL com.redhat.component="ubi9-minimal-container" name="ubi9/ubi-minimal" version="9.7" cpe="cpe:/a:redhat:enterprise_linux:9::appstream" distribution-scope="public"

2025-12-03 20:36:20 UTC

/bin/sh -c #(nop) LABEL com.redhat.license_terms="https://www.redhat.com/en/about/red-hat-end-user-license-agreements#UBI"

2025-12-03 20:36:20 UTC

/bin/sh -c #(nop) LABEL summary="Provides the latest release of the minimal Red Hat Universal Base Image 9."

2025-12-03 20:36:20 UTC

/bin/sh -c #(nop) LABEL description="The Universal Base Image Minimal is a stripped down image that uses microdnf as a package manager. This base image is freely redistributable, but Red Hat only supports Red Hat technologies through subscriptions for Red Hat products. This image is maintained by Red Hat and updated regularly."

2025-12-03 20:36:20 UTC

/bin/sh -c #(nop) LABEL io.k8s.description="The Universal Base Image Minimal is a stripped down image that uses microdnf as a package manager. This base image is freely redistributable, but Red Hat only supports Red Hat technologies through subscriptions for Red Hat products. This image is maintained by Red Hat and updated regularly."

2025-12-03 20:36:20 UTC

/bin/sh -c #(nop) LABEL io.k8s.display-name="Red Hat Universal Base Image 9 Minimal"

2025-12-03 20:36:20 UTC

/bin/sh -c #(nop) LABEL io.openshift.expose-services=""

2025-12-03 20:36:20 UTC

/bin/sh -c #(nop) LABEL io.openshift.tags="minimal rhel9"

2025-12-03 20:36:20 UTC

/bin/sh -c #(nop) ENV container oci

2025-12-03 20:36:21 UTC

/bin/sh -c #(nop) COPY dir:be2a521f68bf56126048c385ab01382fd10aa537a578d817938c3b4ce9ee2ae8 in /

2025-12-03 20:36:21 UTC

/bin/sh -c #(nop) COPY file:1376702515d596f414e3aa494e0daa6d408a6d2475c4aeca96bf9392f5287f69 in /etc/yum.repos.d/.

2025-12-03 20:36:21 UTC

/bin/sh -c #(nop) CMD ["/bin/bash"]

2025-12-03 20:36:21 UTC

/bin/sh -c #(nop) COPY file:93583a9ebbaeff1e36b48820b647eea1eef523f6627dacfb0b21af79f5a41b35 in /usr/share/buildinfo/content-sets.json

2025-12-03 20:36:21 UTC

/bin/sh -c #(nop) COPY file:93583a9ebbaeff1e36b48820b647eea1eef523f6627dacfb0b21af79f5a41b35 in /root/buildinfo/content_manifests/content-sets.json

2025-12-03 20:36:21 UTC

/bin/sh -c #(nop) COPY file:94153b6833d6f050d8e2572e9c332f16148f47aceac72aaf42af4d08feb01e61 in /usr/share/buildinfo/labels.json

2025-12-03 20:36:21 UTC

/bin/sh -c #(nop) COPY file:94153b6833d6f050d8e2572e9c332f16148f47aceac72aaf42af4d08feb01e61 in /root/buildinfo/labels.json

2025-12-03 20:36:21 UTC

/bin/sh -c #(nop) LABEL "architecture"="x86_64" "vcs-type"="git" "vcs-ref"="1595c1bf15cd4327d529f330e61327764327397e" "org.opencontainers.image.revision"="1595c1bf15cd4327d529f330e61327764327397e" "build-date"="2025-12-03T20:36:05Z" "org.opencontainers.image.created"="2025-12-03T20:36:05Z" "release"="1764794109"org.opencontainers.image.revision=1595c1bf15cd4327d529f330e61327764327397e,org.opencontainers.image.created=2025-12-03T20:36:05Z

2025-12-16 20:00:08 UTC (buildkit.dockerfile.v0)

LABEL org.label-schema.build-date=2025-12-16T19:54:22Z org.label-schema.schema-version=1.0 org.label-schema.vendor=Elastic org.label-schema.license=Elastic License org.label-schema.name=filebeat org.label-schema.version=9.1.9 org.label-schema.url=https://www.elastic.co/beats/filebeat org.label-schema.vcs-url=github.com/elastic/beats/v7 org.label-schema.vcs-ref=18d7329ef5c55c5bb59ae4ddf55f08ff03e32600 io.k8s.description=Filebeat sends log files to Logstash or directly to Elasticsearch. io.k8s.display-name=Filebeat image org.opencontainers.image.created=2025-12-16T19:54:22Z org.opencontainers.image.licenses=Elastic License org.opencontainers.image.title=Filebeat org.opencontainers.image.vendor=Elastic org.opencontainers.image.authors=infra@elastic.co maintainer=infra@elastic.co name=filebeat vendor=Elastic version=9.1.9 release=1 url=https://www.elastic.co/beats/filebeat summary=filebeat license=Elastic License description=Filebeat sends log files to Logstash or directly to Elasticsearch.

2025-12-16 20:00:08 UTC (buildkit.dockerfile.v0)

ENV ELASTIC_CONTAINER=true

2025-12-16 20:00:08 UTC (buildkit.dockerfile.v0)

ENV PATH=/usr/share/filebeat:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

2025-12-16 20:00:08 UTC (buildkit.dockerfile.v0)

ENV GODEBUG=madvdontneed=1

2025-12-16 20:00:08 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c set -e ; TINI_BIN=""; TINI_SHA256=""; TINI_VERSION="v0.19.0"; echo "The arch value is $(arch)"; case "$(arch)" in x86_64) TINI_BIN="tini-amd64"; TINI_SHA256="93dcc18adc78c65a028a84799ecf8ad40c936fdfc5f2a57b1acda5a8117fa82c"; ;; aarch64) TINI_BIN="tini-arm64"; TINI_SHA256="07952557df20bfd2a95f9bef198b445e006171969499a1d361bd9e6f8e5e0e81"; ;; *) echo >&2 ; echo >&2 "Unsupported architecture \$(arch)" ; echo >&2 ; exit 1 ; ;; esac ; curl --retry 8 -S -L -O "https://github.com/krallin/tini/releases/download/${TINI_VERSION}/${TINI_BIN}" ; echo "${TINI_SHA256} ${TINI_BIN}" | sha256sum -c - ; mv "${TINI_BIN}" /usr/bin/tini ; chmod +x /usr/bin/tini # buildkit

2025-12-16 20:00:08 UTC (buildkit.dockerfile.v0)

COPY docker-entrypoint /usr/local/bin/docker-entrypoint # buildkit

2025-12-16 20:00:10 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c chmod 755 /usr/local/bin/docker-entrypoint # buildkit

2025-12-16 20:00:21 UTC (buildkit.dockerfile.v0)

COPY /usr/share/filebeat /usr/share/filebeat # buildkit

2025-12-16 20:00:21 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c mkdir /licenses # buildkit

2025-12-16 20:00:21 UTC (buildkit.dockerfile.v0)

COPY /usr/share/filebeat/LICENSE.txt /licenses # buildkit

2025-12-16 20:00:21 UTC (buildkit.dockerfile.v0)

COPY /usr/share/filebeat/NOTICE.txt /licenses # buildkit

2025-12-16 20:00:21 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c groupadd --gid 1000 filebeat # buildkit

2025-12-16 20:00:22 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c useradd -M --uid 1000 --gid 1000 --groups 0 --home /usr/share/filebeat filebeat # buildkit

2025-12-16 20:00:28 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c for iter in {1..10}; do microdnf -y update && microdnf -y install systemd && microdnf clean all && exit_code=0 && break || exit_code=$? && echo "microdnf error: retry $iter in 10s" && sleep 10; done; (exit $exit_code) # buildkit

2025-12-16 20:00:28 UTC (buildkit.dockerfile.v0)

USER 1000

2025-12-16 20:00:28 UTC (buildkit.dockerfile.v0)

ENV LIBBEAT_MONITORING_CGROUPS_HIERARCHY_OVERRIDE=/

2025-12-16 20:00:28 UTC (buildkit.dockerfile.v0)

WORKDIR /usr/share/filebeat

2025-12-16 20:00:28 UTC (buildkit.dockerfile.v0)

ENTRYPOINT ["/usr/bin/tini" "--" "/usr/local/bin/docker-entrypoint"]

2025-12-16 20:00:28 UTC (buildkit.dockerfile.v0)

CMD ["--environment" "container"]

Details
Created

2025-12-16 20:04:17 UTC

Size

117 MB

Content Digest
Labels
  • architecture
    aarch64
  • build-date
    2025-12-03T20:38:45Z
  • com.redhat.component
    ubi9-minimal-container
  • com.redhat.license_terms
    https://www.redhat.com/en/about/red-hat-end-user-license-agreements#UBI
  • cpe
    cpe:/a:redhat:enterprise_linux:9::appstream
  • description
    Filebeat sends log files to Logstash or directly to Elasticsearch.
  • distribution-scope
    public
  • io.buildah.version
    1.41.4
  • io.k8s.description
    Filebeat sends log files to Logstash or directly to Elasticsearch.
  • io.k8s.display-name
    Filebeat image
  • io.openshift.expose-services
  • io.openshift.tags
    minimal rhel9
  • license
    Elastic License
  • maintainer
    infra@elastic.co
  • name
    filebeat
  • org.label-schema.build-date
    2025-12-16T19:55:31Z
  • org.label-schema.license
    Elastic License
  • org.label-schema.name
    filebeat
  • org.label-schema.schema-version
    1.0
  • org.label-schema.url
    https://www.elastic.co/beats/filebeat
  • org.label-schema.vcs-ref
    18d7329ef5c55c5bb59ae4ddf55f08ff03e32600
  • org.label-schema.vcs-url
    github.com/elastic/beats/v7
  • org.label-schema.vendor
    Elastic
  • org.label-schema.version
    9.1.9
  • org.opencontainers.image.authors
    infra@elastic.co
  • org.opencontainers.image.created
    2025-12-16T19:55:31Z
  • org.opencontainers.image.licenses
    Elastic License
  • org.opencontainers.image.revision
    1595c1bf15cd4327d529f330e61327764327397e
  • org.opencontainers.image.title
    Filebeat
  • org.opencontainers.image.vendor
    Elastic
  • release
    1
  • summary
    filebeat
  • url
    https://www.elastic.co/beats/filebeat
  • vcs-ref
    1595c1bf15cd4327d529f330e61327764327397e
  • vcs-type
    git
  • vendor
    Elastic
  • version
    9.1.9

Environment
ELASTIC_CONTAINER

true

GODEBUG

madvdontneed=1

LIBBEAT_MONITORING_CGROUPS_HIERARCHY_OVERRIDE

/

PATH

/usr/share/filebeat:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

container

oci


Layers

[#000] sha256:6589c33d0fa2263998aed6a8a3e48146be8b81870150ef184dcc0f869d4fbe8c - 31.3% (36.7 MB)

[#001] sha256:58ea0d0a8c29979e82c28d65c37d445b8fa271c27a4b8faadc837a1180644986 - 0.01% (9.11 KB)

[#002] sha256:f90a09e643b26a596b162e9dce6a2e9c2d2bdc3d69a0353ca09c8210ac2fde1e - 0.0% (611 Bytes)

[#003] sha256:12a339e1368a54dd18682ee0edc437b799c098e5f171afb0e7e51c53eb5ff323 - 0.0% (619 Bytes)

[#004] sha256:dc08095c345b8f600e9609e35be474df5941ea146a5bce201e57f81bac17b36d - 51.15% (60 MB)

[#005] sha256:83c9421ff21ae68049dd311f0f682ba7b8e62462cc1e9ea6995aeae5577e4dc3 - 0.0% (126 Bytes)

[#006] sha256:b3211b88570b634f1b5526b4fdbb8d2fcb43d777a79c3c6d071ecfadf9759d6e - 0.0% (5.47 KB)

[#007] sha256:550a3aee1aafaa5ab313ba33a4b1da715079848a019761bf0abb4c7c229255b3 - 0.19% (229 KB)

[#008] sha256:4fee990f4833e198d1f842a0bda2d9ff72790be00a09872e510fda1fa1c2d1ce - 0.0% (517 Bytes)

[#009] sha256:e83418ab56c6e731e42116a70103c1781ff5a7d323803632355fb0036959f9df - 0.0% (1.11 KB)

[#010] sha256:da25d0d5cc6289e642f49c8ca7089416ea4a67dd7829801c0f8955d77dfa82cc - 17.35% (20.3 MB)

[#011] sha256:4ca545ee6d5db5c1170386eeb39b2ffe3bd46e5d4a73a9acbebc805f19607eb3 - 0.0% (42 Bytes)


History
2025-12-03 20:39:01 UTC

/bin/sh -c #(nop) LABEL maintainer="Red Hat, Inc."

2025-12-03 20:39:01 UTC

/bin/sh -c #(nop) LABEL vendor="Red Hat, Inc."

2025-12-03 20:39:01 UTC

/bin/sh -c #(nop) LABEL url="https://catalog.redhat.com/en/search?searchType=containers"

2025-12-03 20:39:01 UTC

/bin/sh -c #(nop) LABEL com.redhat.component="ubi9-minimal-container" name="ubi9/ubi-minimal" version="9.7" cpe="cpe:/a:redhat:enterprise_linux:9::appstream" distribution-scope="public"

2025-12-03 20:39:01 UTC

/bin/sh -c #(nop) LABEL com.redhat.license_terms="https://www.redhat.com/en/about/red-hat-end-user-license-agreements#UBI"

2025-12-03 20:39:01 UTC

/bin/sh -c #(nop) LABEL summary="Provides the latest release of the minimal Red Hat Universal Base Image 9."

2025-12-03 20:39:01 UTC

/bin/sh -c #(nop) LABEL description="The Universal Base Image Minimal is a stripped down image that uses microdnf as a package manager. This base image is freely redistributable, but Red Hat only supports Red Hat technologies through subscriptions for Red Hat products. This image is maintained by Red Hat and updated regularly."

2025-12-03 20:39:01 UTC

/bin/sh -c #(nop) LABEL io.k8s.description="The Universal Base Image Minimal is a stripped down image that uses microdnf as a package manager. This base image is freely redistributable, but Red Hat only supports Red Hat technologies through subscriptions for Red Hat products. This image is maintained by Red Hat and updated regularly."

2025-12-03 20:39:01 UTC

/bin/sh -c #(nop) LABEL io.k8s.display-name="Red Hat Universal Base Image 9 Minimal"

2025-12-03 20:39:01 UTC

/bin/sh -c #(nop) LABEL io.openshift.expose-services=""

2025-12-03 20:39:01 UTC

/bin/sh -c #(nop) LABEL io.openshift.tags="minimal rhel9"

2025-12-03 20:39:01 UTC

/bin/sh -c #(nop) ENV container oci

2025-12-03 20:39:02 UTC

/bin/sh -c #(nop) COPY dir:f4ea265792475a3d4d1f704e5646b6b392f1a575aee1ff63417d34e28530c8cb in /

2025-12-03 20:39:02 UTC

/bin/sh -c #(nop) COPY file:1376702515d596f414e3aa494e0daa6d408a6d2475c4aeca96bf9392f5287f69 in /etc/yum.repos.d/.

2025-12-03 20:39:02 UTC

/bin/sh -c #(nop) CMD ["/bin/bash"]

2025-12-03 20:39:02 UTC

/bin/sh -c #(nop) COPY file:93583a9ebbaeff1e36b48820b647eea1eef523f6627dacfb0b21af79f5a41b35 in /usr/share/buildinfo/content-sets.json

2025-12-03 20:39:02 UTC

/bin/sh -c #(nop) COPY file:93583a9ebbaeff1e36b48820b647eea1eef523f6627dacfb0b21af79f5a41b35 in /root/buildinfo/content_manifests/content-sets.json

2025-12-03 20:39:02 UTC

/bin/sh -c #(nop) COPY file:cac453727cef4359ee0e696635ab5d4ce6ce1ac7334c1d943b8e8f2fb464f41f in /usr/share/buildinfo/labels.json

2025-12-03 20:39:02 UTC

/bin/sh -c #(nop) COPY file:cac453727cef4359ee0e696635ab5d4ce6ce1ac7334c1d943b8e8f2fb464f41f in /root/buildinfo/labels.json

2025-12-03 20:39:03 UTC

/bin/sh -c #(nop) LABEL "architecture"="aarch64" "vcs-type"="git" "vcs-ref"="1595c1bf15cd4327d529f330e61327764327397e" "org.opencontainers.image.revision"="1595c1bf15cd4327d529f330e61327764327397e" "build-date"="2025-12-03T20:38:45Z" "org.opencontainers.image.created"="2025-12-03T20:38:45Z" "release"="1764794109"org.opencontainers.image.revision=1595c1bf15cd4327d529f330e61327764327397e,org.opencontainers.image.created=2025-12-03T20:38:45Z

2025-12-16 20:03:55 UTC (buildkit.dockerfile.v0)

LABEL org.label-schema.build-date=2025-12-16T19:55:31Z org.label-schema.schema-version=1.0 org.label-schema.vendor=Elastic org.label-schema.license=Elastic License org.label-schema.name=filebeat org.label-schema.version=9.1.9 org.label-schema.url=https://www.elastic.co/beats/filebeat org.label-schema.vcs-url=github.com/elastic/beats/v7 org.label-schema.vcs-ref=18d7329ef5c55c5bb59ae4ddf55f08ff03e32600 io.k8s.description=Filebeat sends log files to Logstash or directly to Elasticsearch. io.k8s.display-name=Filebeat image org.opencontainers.image.created=2025-12-16T19:55:31Z org.opencontainers.image.licenses=Elastic License org.opencontainers.image.title=Filebeat org.opencontainers.image.vendor=Elastic org.opencontainers.image.authors=infra@elastic.co maintainer=infra@elastic.co name=filebeat vendor=Elastic version=9.1.9 release=1 url=https://www.elastic.co/beats/filebeat summary=filebeat license=Elastic License description=Filebeat sends log files to Logstash or directly to Elasticsearch.

2025-12-16 20:03:55 UTC (buildkit.dockerfile.v0)

ENV ELASTIC_CONTAINER=true

2025-12-16 20:03:55 UTC (buildkit.dockerfile.v0)

ENV PATH=/usr/share/filebeat:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

2025-12-16 20:03:55 UTC (buildkit.dockerfile.v0)

ENV GODEBUG=madvdontneed=1

2025-12-16 20:03:55 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c set -e ; TINI_BIN=""; TINI_SHA256=""; TINI_VERSION="v0.19.0"; echo "The arch value is $(arch)"; case "$(arch)" in x86_64) TINI_BIN="tini-amd64"; TINI_SHA256="93dcc18adc78c65a028a84799ecf8ad40c936fdfc5f2a57b1acda5a8117fa82c"; ;; aarch64) TINI_BIN="tini-arm64"; TINI_SHA256="07952557df20bfd2a95f9bef198b445e006171969499a1d361bd9e6f8e5e0e81"; ;; *) echo >&2 ; echo >&2 "Unsupported architecture \$(arch)" ; echo >&2 ; exit 1 ; ;; esac ; curl --retry 8 -S -L -O "https://github.com/krallin/tini/releases/download/${TINI_VERSION}/${TINI_BIN}" ; echo "${TINI_SHA256} ${TINI_BIN}" | sha256sum -c - ; mv "${TINI_BIN}" /usr/bin/tini ; chmod +x /usr/bin/tini # buildkit

2025-12-16 20:03:55 UTC (buildkit.dockerfile.v0)

COPY docker-entrypoint /usr/local/bin/docker-entrypoint # buildkit

2025-12-16 20:03:55 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c chmod 755 /usr/local/bin/docker-entrypoint # buildkit

2025-12-16 20:04:08 UTC (buildkit.dockerfile.v0)

COPY /usr/share/filebeat /usr/share/filebeat # buildkit

2025-12-16 20:04:08 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c mkdir /licenses # buildkit

2025-12-16 20:04:09 UTC (buildkit.dockerfile.v0)

COPY /usr/share/filebeat/LICENSE.txt /licenses # buildkit

2025-12-16 20:04:09 UTC (buildkit.dockerfile.v0)

COPY /usr/share/filebeat/NOTICE.txt /licenses # buildkit

2025-12-16 20:04:09 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c groupadd --gid 1000 filebeat # buildkit

2025-12-16 20:04:09 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c useradd -M --uid 1000 --gid 1000 --groups 0 --home /usr/share/filebeat filebeat # buildkit

2025-12-16 20:04:17 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c for iter in {1..10}; do microdnf -y update && microdnf -y install systemd && microdnf clean all && exit_code=0 && break || exit_code=$? && echo "microdnf error: retry $iter in 10s" && sleep 10; done; (exit $exit_code) # buildkit

2025-12-16 20:04:17 UTC (buildkit.dockerfile.v0)

USER 1000

2025-12-16 20:04:17 UTC (buildkit.dockerfile.v0)

ENV LIBBEAT_MONITORING_CGROUPS_HIERARCHY_OVERRIDE=/

2025-12-16 20:04:17 UTC (buildkit.dockerfile.v0)

WORKDIR /usr/share/filebeat

2025-12-16 20:04:17 UTC (buildkit.dockerfile.v0)

ENTRYPOINT ["/usr/bin/tini" "--" "/usr/local/bin/docker-entrypoint"]

2025-12-16 20:04:17 UTC (buildkit.dockerfile.v0)

CMD ["--environment" "container"]

Danger Zone
Delete Tag

Please be careful as this will not just delete the reference but also the actual content!

For example when you have latest and v1.2.3 both pointing to the same image
the deletion of latest will also permanently remove v1.2.3.

Delete